You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/lang/opa/Makefile 316662 2013-04-27 11:59:28Z 
mva $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/83amd64-default/2013-09-18_01h02m03s/logs/opa-1.0.5.2988_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/83amd64-default/2013-09-18_01h02m03s
Log:

====>> Building lang/opa
build started at Wed Sep 18 06:46:15 UTC 2013
port directory: /usr/ports/lang/opa
building for: FreeBSD 83amd64-default-job-06 8.3-RELEASE FreeBSD 8.3-RELEASE 
amd64
maintained by: m...@freebsd.org
Makefile ident:      $FreeBSD: head/lang/opa/Makefile 316662 2013-04-27 
11:59:28Z mva $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=803000
UNAME_v=FreeBSD 8.3-RELEASE
UNAME_r=8.3-RELEASE
FTP_PASSIVE_MODE=YES
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/83amd64-default/ref
PKG_EXT=txz
tpid=11619
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=opa-1.0.5.2988_1
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=83amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
-prefix /usr/local
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
MLSTATELIBS="/wrkdirs/usr/ports/lang/opa/work/opa_v2988/_build" TMPDIR="/tmp" 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
JAVASHAREDIR="/usr/local/share/java"
JAVAJARDIR="/usr/local/share/java/classes"
JAVALIBDIR="/usr/local/share/java/classes"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/opa
DOCSDIR=/usr/local/share/doc/opa
EXAMPLESDIR=/usr/local/share/examples/opa
WWWDIR=/usr/local/www/opa
ETCDIR=/usr/local/etc/opa
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for opa-1.0.5.2988_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   opa-1.0.5.2988_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of opa-1.0.5.2988_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by opa-1.0.5.2988_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by opa-1.0.5.2988_1 for building
=> SHA256 Checksum OK for opa_v2988.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===>   opa-1.0.5.2988_1 depends on file: /usr/local/bin/ocamlc - not found
===>    Verifying install for /usr/local/bin/ocamlc in /usr/ports/lang/ocaml
===>   Installing existing package /packages/All/ocaml-3.12.1_1.txz
Installing ocaml-3.12.1_1...Installing xproto-7.0.24... done
Installing renderproto-0.11.1... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2...Installing pkgconf-0.9.3... done
Installing libiconv-1.14_1... done
 done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXrender-0.9.8...Installing libX11-1.6.1,1...Installing 
kbproto-1.0.6... done
 done
 done
Installing tk-8.5.14_1...Installing libXft-2.3.1...Installing 
fontconfig-2.10.93,1...Installing expat-2.1.0... done
Installing freetype2-2.4.12_1... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
 done
Installing tcl-8.5.14_1... done
 done
 done
===>   Returning to build of opa-1.0.5.2988_1
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by opa-1.0.5.2988_1 for building
===>  Extracting for opa-1.0.5.2988_1
=> SHA256 Checksum OK for opa_v2988.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===>   opa-1.0.5.2988_1 depends on file: /usr/local/bin/ocamlc - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for opa-1.0.5.2988_1
===>  Applying FreeBSD patches for opa-1.0.5.2988_1
===========================================================================
=======================<phase: build-depends  >============================
===>   opa-1.0.5.2988_1 depends on file: /usr/local/bin/ocamlfind - not found
===>    Verifying install for /usr/local/bin/ocamlfind in 
/usr/ports/devel/ocaml-findlib
===>   Installing existing package /packages/All/ocaml-findlib-1.4.txz
Installing ocaml-findlib-1.4... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: 
/usr/local/lib/ocaml/site-lib/ssl/ssl.a - not found
===>    Verifying install for /usr/local/lib/ocaml/site-lib/ssl/ssl.a in 
/usr/ports/security/ocaml-ssl
===>   Installing existing package /packages/All/ocaml-ssl-0.4.6.txz
Installing ocaml-ssl-0.4.6... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: 
/usr/local/lib/ocaml/site-lib/cryptokit/cryptokit.a - not found
===>    Verifying install for 
/usr/local/lib/ocaml/site-lib/cryptokit/cryptokit.a in 
/usr/ports/security/ocaml-cryptokit
===>   Installing existing package /packages/All/ocaml-cryptokit-1.6.txz
Installing ocaml-cryptokit-1.6... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: 
/usr/local/lib/ocaml/site-lib/zip/zip.a - not found
===>    Verifying install for /usr/local/lib/ocaml/site-lib/zip/zip.a in 
/usr/ports/archivers/ocaml-zip
===>   Installing existing package /packages/All/ocaml-zip-1.04_1.txz
Installing ocaml-zip-1.04_1... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: 
/usr/local/lib/ocaml/ocamlgraph/graph.a - not found
===>    Verifying install for /usr/local/lib/ocaml/ocamlgraph/graph.a in 
/usr/ports/math/ocaml-ocamlgraph
===>   Installing existing package /packages/All/ocaml-ocamlgraph-1.8.3.txz
Installing ocaml-ocamlgraph-1.8.3...Installing xineramaproto-1.2.1... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing xcb-util-0.3.9_1,1... done
 done
Installing startup-notification-0.12_1... done
Installing randrproto-1.4.0... done
Installing pixman-0.30.0... done
Installing libgnome-2.32.0_1...Installing libXrandr-1.4.1...Installing 
libXext-1.3.2,1... done
 done
Installing libXpm-3.5.10...Installing libSM-1.2.1,1...Installing 
libICE-1.0.8,1... done
 done
Installing libXt-1.1.4,1... done
 done
Installing libXinerama-1.1.3,1... done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing pango-1.34.1_1...Installing xorg-fonts-truetype-7.7_1...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
 done
Installing mkfontdir-1.0.7... done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
<snip>
Installing libgnome-keyring-2.32.0_5... done
Installing libnotify-0.7.5... done
 done
Installing p11-kit-0.16.3...Installing ca_root_nss-3.15.1_1... done
 done
Installing nettle-2.7.1...Installing gmp-5.1.2... done
 done
Installing gnutls-2.12.23_1... done
Installing gnome-keyring-2.32.1_3... done
Installing libproxy-0.4.6... done
Installing glib-networking-2.36.2...Installing 
gsettings-desktop-schemas-3.6.1_1... done
 done
Installing gnome-icon-theme-3.6.2... done
Installing libgphoto2-2.4.14_3...Installing libexif-0.6.21... done
 done
Installing libsoup-gnome-2.40.3_3...Installing libsoup-2.40.3_2...Installing 
sqlite3-3.8.0.2... done
 done
 done
Installing gvfs-1.12.3_1... done
 done
Installing libXmu-1.1.1,1... done
Installing gtksourceview2-2.10.5_1... done
Installing gtkglarea-2.0.1_3...Installing libdrm-2.4.17_1...Installing 
libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
 done
Installing gtk-engines2-2.20.2_1... done
Installing libcroco-0.6.8... done
Installing gtkspell-2.0.16_4...Installing enchant-1.6.0_1...Installing 
aspell-0.60.6.1_2... done
 done
 done
Installing ocaml-lablgl-20120306_1...Installing freeglut-2.8.1... done
 done
Installing librsvg2-2.36.4...Installing libgsf-1.14.27... done
 done
 done
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===============================================================================

Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

    kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================
The ESounD daemon (esd) must be started on a per-user basis.  This is typically
done by the Session Manager in GNOME.  However, if you are not using the
GNOME Desktop, you will need to add something like the following to your
X Windows initialization script:

esd -terminate -nobeeps -as 2
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: 
/usr/local/lib/ocaml/site-lib/ulex/ulexing.a - not found
===>    Verifying install for /usr/local/lib/ocaml/site-lib/ulex/ulexing.a in 
/usr/ports/devel/ocaml-ulex
===>   Installing existing package /packages/All/ocaml-ulex-1.1_1.txz
Installing ocaml-ulex-1.1_1... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: /usr/local/bin/node - not found
===>    Verifying install for /usr/local/bin/node in /usr/ports/www/node
===>   Installing existing package /packages/All/node-0.10.17.txz
Installing node-0.10.17... done
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: /usr/local/openjdk6/bin/java - not 
found
===>    Verifying install for /usr/local/openjdk6/bin/java in 
/usr/ports/java/openjdk6
===>   Installing existing package /packages/All/openjdk6-b27_7.txz
Installing openjdk6-b27_7...Installing xbitmaps-1.1.1... done
Installing recordproto-1.14.2... done
Installing printproto-1.0.5... done
Installing libXtst-1.2.2... done
Installing libXp-1.0.2,1... done
Installing open-motif-2.3.4...Installing libXaw-1.0.11,2... done
 done
Installing javavmwrapper-2.4_3... done
Installing java-zoneinfo-2013.d... done
mkdir: /usr/local/openjdk6/jre/lib/applet: File exists
 done
======================================================================

This OpenJDK implementation requires fdescfs(5) mounted on /dev/fd and
procfs(5) mounted on /proc.

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd
        mount -t procfs proc /proc

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0
        proc    /proc           procfs          rw      0       0

======================================================================
===>   Returning to build of opa-1.0.5.2988_1
===>   opa-1.0.5.2988_1 depends on file: /usr/local/bin/ocamlc - found
===>   opa-1.0.5.2988_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1... done
===>   Returning to build of opa-1.0.5.2988_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   opa-1.0.5.2988_1 depends on shared library: libiconv.so.3 - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for opa-1.0.5.2988_1
Checking your OS... FreeBSD
Checking your architecture... x86_64
Checking gmake... ok
Checking ocamlopt... /usr/local/bin/ocamlopt.opt
Checking ocamlbuild... /usr/local/bin/ocamlbuild
Checking ocamldir... /usr/local/lib/ocaml
Checking ocaml version... 3.12.1
Checking your ocaml setup... 3.12.1, Unix 64bit
Checking for camlp4... /usr/local/bin/camlp4o
Checking for perl 5... found
Checking for java... found
Checking for nodejs... found
Checking nodejs version... v0.10.17
Node v0.6 or newer is required
===>  Script "configure" failed unexpectedly.
Please report the problem to m...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/lang/opa/work/opa_v2988/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop in /usr/ports/lang/opa.
===>  Cleaning for opa-1.0.5.2988_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to